/*
 * Bluemote - use your Bluetooth enabled T610 or compatible Sony Ericsson phone as
 * a remote for your PC.
 * Copyright (C) 2004
 * Saravana K Kannan <saravkrish at uky dot edu>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */


#ifndef _BLUEMOTE_H_
#define _BLUEMOTE_H_ 1

#include "parse.h"

/* Constants */
#define BAUDRATE B115200
#define TRUE 1
#define FALSE 0

#define BLUEMOTEDIR "/.bluemote/"
#define CFGFILE "bluemote.cfg"
#define LOGFILE "bluemote.log"
#define FNLEN 30
#define FNCNT 20

#define TIMEOUT (5 * 1000)
#define MOUSE_RRATE 75
#define MOUSE_DELAY 300

/* Data types */
typedef struct
{
 char name[FNLEN];
 int (*fn)(void);
} FUNC;

/* Function definitions */
int init_signals();
void signal_handler(int signal);
int myalarm(unsigned int msec);
void remote();
int submenu(int def);
void check_msg();
void logger(char *head, char *str);
int init_cfg();
int init_mainmenu();
int exec_menu(MENU menu);
int event_check(char *buf);
int exec_event(char *event);
int execute(char *cmd, char *result, int rlen);
int tempdisconn();
int quit();
int about();
int volume();
int mouse();
int refreshmenu();
int keyboard();

#endif
