/*
 * Bluemote - use your Bluetooth enabled T610 or compatible Sony Ericsson phone as
 * a remote for your PC.
 * Copyright (C) 2004
 * Saravana K Kannan <saravkrish at uky dot edu>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 *  Mouse control code from bt-remote-control.
 *  Ralf Ackermann <rac@KOM.tu-darmstadt.de>
 *
 *  Actual mouse control code from xautomation.
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include "mouse.h"

void
mouse_down_up (Display * d, int button, int press)
{
  XTestGrabControl (d, True);
  XTestFakeButtonEvent (d, button, press, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
}

void
mouse_click (Display * d, int button)
{
  XTestGrabControl (d, True);
  XTestFakeButtonEvent (d, button, True, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
  XTestGrabControl (d, True);
  XTestFakeButtonEvent (d, button, False, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
}

void
mouse_double_click (Display * d)
{
  mouse_click (d,1);
  usleep(1000);
  mouse_click (d,1);
}

void
mouse_move (Display * d, int x, int y)
{
  XTestGrabControl (d, True);
  XTestFakeMotionEvent (d, -1, x, y, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
}

void
mouse_rel_move (Display * d, int x, int y)
{
  XTestGrabControl (d, True);
  XTestFakeRelativeMotionEvent (d, x, y, CurrentTime);
  XTestGrabControl(d, False);
  XFlush(d);
}

/*int
main (int argc, char **argv)
{
  Display *dpy = XOpenDisplay (NULL);
  
  if(dpy==NULL)
  {
   printf("No X!\n");
   exit(1);
  }
  mouse_down_up(dpy, 1, True);
  usleep(500);
  mouse_rel_move(dpy, 100, 0);
  mouse_rel_move(dpy, 0, 100);
  usleep(500);
  mouse_down_up(dpy, 1, False);
  //mouse_double_click(dpy);
  
  XCloseDisplay (dpy);
  exit (0);
}*/
