/*
 * Bluemote - use your Bluetooth enabled T610 or compatible Sony Ericsson phone as
 * a remote for your PC.
 * Copyright (C) 2004
 * Saravana K Kannan <saravkrish at uky dot edu>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */


#ifndef _PARSE_H_
#define _PARSE_H_ 1

/* Constants */
#define MAXLEN 500
#define MTEXTLEN 30
#define MCMDLEN 200
#define MAXMCMD 20
#define MAXARGS 10
#define MAXARGLEN 100
#define DEFAULT_MENUCNT 5
#define VARLEN 30
#define VARCNT 20
#define TRUE 1
#define FALSE 0
#define DEFAULT_DEVICE "/dev/rfcomm0"

#define TEST_STR_SPLIT "  v Hi Hello 10 \"\" \" \\\"Shweta\\\"  \" 1\"2\"3 "

// For menu and event section parsing
#define TYPE_TXT	0
#define TYPE_CMD	1
#define TYPE_END	2

/* Data types */
typedef struct
{
 char name[VARLEN];
 char val[MAXLEN];
} VAR;

typedef struct
{
 char text[MTEXTLEN];
 int ncmd;
 char cmd[MAXMCMD][MCMDLEN];
} MENU;

typedef struct
{
 int log;
 int daemon;
 int retrysecs;
 int msg;
 char charset[MAXARGLEN];
 char device[MAXARGLEN];
 char setvol[MAXARGLEN];
 char getvol[MAXARGLEN];
 int menucnt;
 MENU *menu;
 int eventcnt;
 MENU *event;
 int keymapcnt;
 VAR *keymap;
} CONF;

/* Function definitions */
void setvar(char *vname, char *val);
char *getvar(char *vname);
void substvar(char *strlist, int maxargs, int maxarglen);
void parseopts(int argc, char *argv[], CONF *conf);
int split(char *input, char *args, int maxargs, int maxarglen);
int ignoreline(char *line);
VAR* loadvarsection(FILE *fp, int *count);
MENU* loadsection(FILE *fp, int *count);
CONF* loadcfg(char *mfile);
void freeconf(CONF *conf);
void parsecmd(char *cmd, char *out);
void printcfg();

#endif
