/*
 * Bluemote - use your Bluetooth enabled T610 or compatible Sony Ericsson phone as
 * a remote for your PC.
 * Copyright (C) 2004
 * Saravana K Kannan <saravkrish at uky dot edu>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */


#ifndef _UI_H_
#define _UI_H_ 1

/* Constants */
#define MAXATCMDLEN 500

void ui_nextstate(int nextstate);
int status(char *msg);
int nodialog();
int msgbox(char *msg, unsigned int timeout);
int get_yesno(char *ques);
int get_onoff(char *ques, unsigned int def);
int get_percent(char *msg, unsigned int parts, unsigned int def);
void init_choice();
void addchoice(char *choice);
int get_choice(char *msg, unsigned int def);
int get_real(char *out, char *title, char *msg, char *max, char *def);
int get_integer(char *out, char *title, char *msg, int min, int max, int def);
int get_phone(char *out, char *title, char *msg, char *def);
int get_date(char *out, char *msg);
int get_time(char *out, char *msg, char *def);
int get_text(char *out, char *title, char *msg, unsigned int maxlen, char *def);
int get_secret(char *out, char *title, char *msg, unsigned int maxlen);
int progressbar(char *msg);
int info(char *title, char *info);

int ui_test();

#endif
